Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 03 Dec 2009 15:49:37 +0200

Hello,

Today the last call is going to end on this. I think MIBs are a bit
different than other documents, and if there is no outcry on the wrongness
of the document, we might just see that this passes the last call.

Cheers,

Jonne.

On 11/19/09 11:19 AM, "Jonne Soininen" <[email-masked]> wrote:

> Hello,
> 
> The pmip6 MIB has been available and stable for quite some time. Therefore I
> would like to start the last call on the draft.
> 
> Last Call: draft-ietf-netlmm-pmipv6-mib
> Starts: Now
> Ends: December 3rd, 2009, end of business in Pacific time zone.
> 
> Please, read the document and send your comments to the list.
> 
> Cheers,
> 
> Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34
E-mail: [email-masked]

---

From: <[email-masked]>
Date: Thu, 3 Dec 2009 16:34:31 +0100

Dear Jonne, all,

you are right - perhaps, as it is a formal document - only some very
formal comments on nits I detected (i.e. no serious concern or outcry
from my side ;-) ) :

Both 'Acknowledgement' (e.g. p. 27, 34) and 'Acknowledgment' (all
others) used throughout the draft
PMIPv6 referenced as both [PMIPv6] (p. 3) and as [RFC5213] (p. 3 - 59)
Missing 'space' on p. 4 (specification[RFC3775])
References [RFC4831], [RFC2863] on p. 3, [RFC4295] on p. 4, [RFC-4282]
on p. 7, [RFC-4283] on p. 26 ... => missing in ch. 8

And even the least on p. 59: 
'Support in IPv6 RFC 3775, June 2004.' instead of 'Support in IPv6 RFC
3775,  June 2004.'
'and Patil, B., Proxy Mobile IPv6, RFC 5213' instead of 'and Patil, B.
Proxy Mobile IPv6), RFC 5213' 
'Network Addresses, RFC 4001, February 2005.' instead of 'Network
Addresses, RFC4001, February 2005.'

Best regards

Dirk 

Von: [email-masked] [mailto:[email-masked]] Im Auftrag
von Soininen, Jonne (NSN - FI/Espoo)
Gesendet: Donnerstag, 3. Dezember 2009 14:50
An: Jonne Soininen; [email-masked]
Betreff: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

Hello,

Today the last call is going to end on this. I think MIBs are a bit
different than other documents, and if there is no outcry on the
wrongness
of the document, we might just see that this passes the last call.

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: Frank Xia <[email-masked]>
Date: Thu, 03 Dec 2009 09:39:14 -0600

Hi Jonne

As a member of the community, here is my observation.
It seems  a little bit unclear to me for the criteria to accept
an item as an WG draft.

For example, as for the MIB document, there are a lot of MIB
experts in the IETF, and probably we can ask some of them to review
before moving on.

Another example, in the NETLMM charter which was officially
approved by IESG, it says clearly "... The scope of this effort may
include specifying the use of DNS or DHCP based LMA discovery... "
However, the chairs  seem to show no interest in DHCP solution.

BR
Frank

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Fri, 04 Dec 2009 10:50:38 +0900

Dirk,
    Thanks - we will fix the nits in the next version.
Cheers

Glenn

---

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Fri, 04 Dec 2009 10:47:04 +0200

Hi Frank,

> experts in the IETF, and probably we can ask some of them to review

IETF has a process where the MIBs go to the "MIB doctors" for check up. This
happens after the WG has checked this document up. So, that's the next step
as I understand it.

> However, the chairs  seem to show no interest in DHCP solution.

I think there may be a slight misunderstanding here. The DHCP based solution
didn't get the support of the WG. The chairs only read the consensus from
the discussion on the list. People just didn't find any use for such a
solution.

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: Frank Xia <[email-masked]>
Date: Fri, 04 Dec 2009 09:55:01 -0600

Hi Jonne

Thank your response.

Please check my comments.

BR
Frank

----- Original Message ----- 
From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
To: "ext Frank Xia" <[email-masked]>; <[email-masked]>
Sent: Friday, December 04, 2009 2:47 AM
Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

> happens after the WG has checked this document up. So, that's the next 
Frank=>AFAIK,   getting enough reviewing is the prerequisite
of the adoption of the WG, otherwise does not stand.   Probably
I am missing something, however I don't know how many people
has reviewed .   I have no any intention to delay any process of
this draft, however, I am a little of unfortable of the process producted
by the WG.   For example, Vidya asked the RADIUS draft to be
reviewed by an AAA expert before issuing WG last call.
It is absolutely fine, however, no one followed this process even though
I mentioned several time.

> the discussion on the list. People just didn't find any use for such a
Frank=>First of all, the charter is the result of consensus.  According to 
my
understanding of  the meaning of the rules,  if we want remove something
from the charter, we need this kind of consensus.   Secondly, this solution
surely got some support from Sri, Jong-Hyouk Lee.   Thirdly, I proposed
the scenario 
http://www.ietf.org/mail-archive/web/netlmm/current/msg06163.html
which did not get any disagreement.   AFAIK, "people" here include 2
or 3 persons.  Please correct me if  I am wrong.

---

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 09 Dec 2009 08:55:12 +0200

Hi Frank,

Thank you for your mail. Please, see my point of view below.

On 12/4/09 5:55 PM, "ext Frank Xia" <[email-masked]> wrote:

[snip]

> I mentioned several time.

Yes, we have had a problem of getting reviews for the AAA draft. Hence, we
have now discussed that we would move it to netext. I'm really sorry that it
has been so difficult to find anybody to review it. I hope you have better
luck when moving forward.

On the other hand, we do need a MIB, don't you think? MIBs do have the
problem that not too many people are interested in them during the
standardization phase, but they are very important for the real use. We have
a good system where the MIB doctors review the MIB documents and thus, we
should get the review needed.

Anyways, getting to be a WG item you don't necessarily need a lot of review
- you need consensus. A WG document is not the end, it is the start of the
discussion. However, if there is no consensus of the importance of an WG
item, or a document being a good starting point of the WG work.

> or 3 persons.  Please correct me if  I am wrong.

I guess you should read the comments that came after that mail. I don't see
any consensus on the DHCP based solution currently. Sorry.

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 09 Dec 2009 11:21:16 +0200

Hello,

As there were actually no objections for the document during the last-call,
I declare the last call a success.

Authors, please, update the document according the agreed comments, and I
will then pass this to our AD.

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 9 Dec 2009 08:35:51 -0800 (PST)

Hi Jonne,
  I think the current charter clearly states DNS or DHCP based LMA discovery and there is no other solution draft on DHCP discovery. 
  The draft draft-netlmm-lma-discovery can hardly be called DSN based discovery, it is AAA based discovery and also lacks IPv4 support. 
  Some people already stated on the list that the right approach is to combine the current solution drafts. This makes a lot of sense because the solutions in these drafts complement each other and each are needed on their own right.

  In view of the above, have you considered also moving this charter item to Netext? I strongly support such a move.

Cheers,

Behcet

----- Original Message ----
> To: ext Frank Xia <[email-masked]>; "[email-masked]" <[email-masked]>
> Sent: Wed, December 9, 2009 12:55:12 AM
> On 12/4/09 5:55 PM, "ext Frank Xia" wrote:
> 
> [snip]
> 
> >> 
> >>> From: "Soininen, Jonne (NSN - FI/Espoo)" 
> >>> To: "Jonne Soininen" ; 
> >>>> On 11/19/09 11:19 AM, "Jonne Soininen" wrote:
> >>>> 
> >>>>> Hello,
> >>>>>

---

From: jouni korhonen <[email-masked]>
Date: Wed, 9 Dec 2009 21:39:12 +0200

Behcet,

>   The draft draft-netlmm-lma-discovery can hardly be called DSN based discovery, it is AAA based discovery and also lacks IPv4 support. 

Could you point out where the support for IPv4 would make any difference what there is in the current draft (apart from adding a reference to draft-ietf-netlmm-pmip6-ipv4-support)? 

Cheers,
	Jouni

---

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 10 Dec 2009 12:34:55 +0200

Hi Behcet,

There has been no consensus in joining the drafts, or even no real request.
I know you have asked this, but nobody else really. In addition, we have
already a WG draft. We don't have to combine anything. If there would be
consensus to add something to the WG draft we could.

However, there has been no consensus. The lma discovery has moved along the
process without anybody really wanting any changes to this. In addition, we
just had a WG LC period. I just cannot understand how come you come up with
these issues after the LC period and comment this to another thread on a
different document.

We are not moving the lma discovery to any other WG at this point. We are
going to finalize it here and now.

Cheers,

Jonne. 

On 12/9/09 6:35 PM, "ext Behcet Sarikaya" <[email-masked]> wrote:

> Hi Jonne,
>   I think the current charter clearly states DNS or DHCP based LMA discovery
> and there is no other solution draft on DHCP discovery.
>   The draft draft-netlmm-lma-discovery can hardly be called DSN based
> discovery, it is AAA based discovery and also lacks IPv4 support. 
>   Some people already stated on the list that the right approach is to combine
> the current solution drafts. This makes a lot of sense because the solutions
> in these drafts complement each other and each are needed on their own right.
> 

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 10 Dec 2009 08:39:51 -0800 (PST)

Hi Jonne,
  Combining the drafts was discussed and supported by some other people as well, can you please check the archives again?

  WGLC was on the MIB draft, right? 

  My comments on the current lma discovery draft are positive, I hope you understand that, I thought Jouni understood it that way. So we are positively trying to contribute to nice conclusion of netlmm WG that has had good achievements and now deserves to be concluded.
  
Cheers,

Behcet

----- Original Message ----
> To: Behcet Sarikaya <[email-masked]>; ext Behcet Sarikaya <[email-masked]>; "[email-masked]" <[email-masked]>
> Sent: Thu, December 10, 2009 4:34:55 AM
> On 12/9/09 6:35 PM, "ext Behcet Sarikaya" wrote:
> 
> > Hi Jonne,
> >> To: ext Frank Xia ; "[email-masked]"
> >>

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 10 Dec 2009 16:29:32 -0800

Behcet,
As I recall, there was no consensus for combining any drafts in the LMA discovery space and there was full consensus in adopting Jouni's draft as a WG item.  That was the course of action taken and that draft has gone through an extended WGLC period that concluded a while ago.  

Also, please note the following wording from the charter: 

"6) Automatic LMA discovery: This will define the ability for MAGs to
automatically discover and use an LMA within a PMIPv6 domain. The
scope of this effort *may* include specifying the use of DNS or DHCP
based LMA discovery or LMA discovery using policy information
retrieved via AAA protocols." 

There is no mandate to include a DHCP solution and given that there has been no consensus for it, the draft has moved forward without it.  Unfortunately, revisiting that is not an option at this time.  

Thanks,
Vidya

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Behcet Sarikaya
Sent: Thursday, December 10, 2009 8:40 AM
To: Soininen, Jonne (NSN - FI/Espoo); [email-masked]
Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

Hi Jonne,

  
Cheers,

Behcet

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Fri, 11 Dec 2009 11:21:59 +0900

Jonne,
     Thanks. We will update the document and post revised version.

Cheers

Glenn

---

From: Frank Xia <[email-masked]>
Date: Thu, 10 Dec 2009 22:10:34 -0600

Dear chairs

Maybe we can talk more about technical issues.

Do you think the scenario that we proposed makes sense?
http://www.ietf.org/mail-archive/web/netlmm/current/msg06163.html

BR
Frank

----- Original Message ----- 
From: "Narayanan, Vidya" <[email-masked]>
To: "Behcet Sarikaya" <[email-masked]>; "Soininen, Jonne (NSN - 
FI/Espoo)" <[email-masked]>; <[email-masked]>
Sent: Thursday, December 10, 2009 6:29 PM
Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

Behcet,
As I recall, there was no consensus for combining any drafts in the LMA 
discovery space and there was full consensus in adopting Jouni's draft as a 
WG item.  That was the course of action taken and that draft has gone 
through an extended WGLC period that concluded a while ago.

There is no mandate to include a DHCP solution and given that there has been 
no consensus for it, the draft has moved forward without it.  Unfortunately, 
revisiting that is not an option at this time.

Thanks,
Vidya

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of 
Behcet Sarikaya
Sent: Thursday, December 10, 2009 8:40 AM
To: Soininen, Jonne (NSN - FI/Espoo); [email-masked]
Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

Hi Jonne,
Combining the drafts was discussed and supported by some other people as 
well, can you please check the archives again?

My comments on the current lma discovery draft are positive, I hope you 
understand that, I thought Jouni understood it that way. So we are 
positively trying to contribute to nice conclusion of netlmm WG that has had 
good achievements and now deserves to be concluded.

Cheers,

Behcet

----- Original Message ----
> To: Behcet Sarikaya <[email-masked]>; ext Behcet Sarikaya 
> <[email-masked]>; "[email-masked]" <[email-masked]>
> > In view of the above, have you considered also moving this charter item 
> > to
> > Netext? I strongly support such a move.
> >
> > Cheers,
> >
> > Behcet
> >
> >
> >
> >>>> IETF has a process where the MIBs go to the "MIB doctors" for check 
> >>>> up.
> >>>> This
> >>>> happens after the WG has checked this document up. So, that's the 
> >>>> next
> >>>> step
> >>>> as I understand it.

---

From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Mon, 14 Dec 2009 10:09:12 +0200

Frank,

I think you can find my original comment already from the same page you
sent.

Just for complete disclosure, I don't think this scenario is useful.

However, I'm basing the consensus decision on the discussion we had during
that time. I haven't seen any new support for this scenario after that.

Cheers,

Jonne. 

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: Frank Xia <[email-masked]>
Date: Mon, 14 Dec 2009 09:35:36 -0600

Hi Jonne

Thank your frankness, however,
I don't see you technical point.

BR
Frank
----- Original Message ----- 
From: "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>
To: "ext Frank Xia" <[email-masked]>; "Vidya Narayanan" 
<[email-masked]>; "Behcet Sarikaya" <[email-masked]>; 
<[email-masked]>
Sent: Monday, December 14, 2009 2:09 AM
Subject: Re: [netlmm] WGLC: draft-ietf-netlmm-pmipv6-mib

>>>>> Yes, we have had a problem of getting reviews for the AAA draft. 
>>>>> Hence,
>>>>> we
>>>>> standardization phase, but they are very important for the real use. 
>>>>> We
>>>>> have
>>>>>> Frank=>First of all, the charter is the result of consensus. 
>>>>>> According
>>>>>> to
>>>>>> my
>>>>> I guess you should read the comments that came after that mail. I 
>>>>> don't
>>>>> see

---

From: Frank Xia <[email-masked]>
Date: Mon, 14 Dec 2009 09:42:44 -0600

Hi folks

Could any one else  comment this scenario?

I really wants to know what is wrong with my logic.

BR
Frank